Definizione coordinate

Angelo2449

Utente Junior
Professione: Pensionato
Software: Autocad
Regione: Lombardia
Salve a tutti,
con il comando :

Codice:
    (defun C:AREAPC (/ pt1 pt2 Area Retino StringaOut)
    (setq pt1 (getpoint "Clicca punto interno: "))

    (RunApp "C:\\AutocadSupporto\\LibertyTre\\TrattColori.exe " "C:\\AutocadSupporto\\LibertyTre\\TrattColori.tkn" :vlax-true)
    (setq StringaOut (getClipText))

        (if (= StringaOut "Fine")
        (progn
        (alert "Funzione interrotta")
            (vl-exit-with-error "Uscita dal programma")
        );;progn
        );;if
    
    (command "_bhatch" "_PR" "_S" pt1 "")
    (setq Retino (entlast))
    (command "_area" "_o" "_last")

    (if (/= StringaOut "No")
        (command "_change" Retino "" "_p" "_Color" StringaOut "")
    );;if

    (princ "\nArea ")
    (setq Area (getvar "area"))
    (setClipText (rtos Area 2 2))
    (setq pt2 (getpoint "\nClicca il Punto di inserimento del Valore dell'Area"))
    (command "_text" pt2 0.4 0.0 (strcat "Area m² = " (rtos Area 2 2)))

    (if (/= StringaOut "No")
        (command "_change" "_last" "" "_p" "_Color" StringaOut "")
    );;if
    
    (setClipText (rtos Area 2 2))

    (if (= StringaOut "No")
        (command "_erase" Retino "")
    );;if    
   );; defun
definisco il tratteggio dell'area di cui ho cliccato un punto interno e ne estraggo l'area di cui scrivo il valore in pt2.
Vorrei avere anche la possibilità di scrivere il valore dell'area in un punto calcolato all'esterno della figura che inscrive pt1, per esempio sopra.
Come, se possibile, calcolare questo punto?
Grazie.